XCB XF86Dri API

XF86Dri XCB Protocol Implementation. More...

## Data Structures

struct | xcb_xf86dri_drm_clip_rect_t
| xcb_xf86dri_drm_clip_rect_t More...
struct | xcb_xf86dri_drm_clip_rect_iterator_t
| xcb_xf86dri_drm_clip_rect_iterator_t More...
struct | xcb_xf86dri_query_version_cookie_t
| xcb_xf86dri_query_version_cookie_t More...
struct | xcb_xf86dri_query_version_request_t
| xcb_xf86dri_query_version_request_t More...
struct | xcb_xf86dri_query_version_reply_t
| xcb_xf86dri_query_version_reply_t More...
struct | xcb_xf86dri_query_direct_rendering_capable_cookie_t
| xcb_xf86dri_query_direct_rendering_capable_cookie_t More...
struct | xcb_xf86dri_query_direct_rendering_capable_request_t
| xcb_xf86dri_query_direct_rendering_capable_request_t More...
struct | xcb_xf86dri_query_direct_rendering_capable_reply_t
| xcb_xf86dri_query_direct_rendering_capable_reply_t More...
struct | xcb_xf86dri_open_connection_cookie_t
| xcb_xf86dri_open_connection_cookie_t More...
struct | xcb_xf86dri_open_connection_request_t
| xcb_xf86dri_open_connection_request_t More...
struct | xcb_xf86dri_open_connection_reply_t
| xcb_xf86dri_open_connection_reply_t More...
struct | xcb_xf86dri_close_connection_request_t
| xcb_xf86dri_close_connection_request_t More...
struct | xcb_xf86dri_get_client_driver_name_cookie_t
| xcb_xf86dri_get_client_driver_name_cookie_t More...
struct | xcb_xf86dri_get_client_driver_name_request_t
| xcb_xf86dri_get_client_driver_name_request_t More...
struct | xcb_xf86dri_get_client_driver_name_reply_t
| xcb_xf86dri_get_client_driver_name_reply_t More...
struct | xcb_xf86dri_create_context_cookie_t
| xcb_xf86dri_create_context_cookie_t More...
struct | xcb_xf86dri_create_context_request_t
| xcb_xf86dri_create_context_request_t More...
struct | xcb_xf86dri_create_context_reply_t
| xcb_xf86dri_create_context_reply_t More...
struct | xcb_xf86dri_destroy_context_request_t
| xcb_xf86dri_destroy_context_request_t More...
struct | xcb_xf86dri_create_drawable_cookie_t
| xcb_xf86dri_create_drawable_cookie_t More...
struct | xcb_xf86dri_create_drawable_request_t
| xcb_xf86dri_create_drawable_request_t More...
struct | xcb_xf86dri_create_drawable_reply_t
| xcb_xf86dri_create_drawable_reply_t More...
struct | xcb_xf86dri_destroy_drawable_request_t
| xcb_xf86dri_destroy_drawable_request_t More...
struct | xcb_xf86dri_get_drawable_info_cookie_t
| xcb_xf86dri_get_drawable_info_cookie_t More...
struct | xcb_xf86dri_get_drawable_info_request_t
| xcb_xf86dri_get_drawable_info_request_t More...
struct | xcb_xf86dri_get_drawable_info_reply_t
| xcb_xf86dri_get_drawable_info_reply_t More...
struct | xcb_xf86dri_get_device_info_cookie_t
| xcb_xf86dri_get_device_info_cookie_t More...
struct | xcb_xf86dri_get_device_info_request_t
| xcb_xf86dri_get_device_info_request_t More...
struct | xcb_xf86dri_get_device_info_reply_t
| xcb_xf86dri_get_device_info_reply_t More...
struct | xcb_xf86dri_auth_connection_cookie_t
| xcb_xf86dri_auth_connection_cookie_t More...
struct | xcb_xf86dri_auth_connection_request_t
| xcb_xf86dri_auth_connection_request_t More...
struct | xcb_xf86dri_auth_connection_reply_t
| xcb_xf86dri_auth_connection_reply_t More...

## Macros

#define | XCB_XF86DRI_MAJOR_VERSION 4
#define | XCB_XF86DRI_MINOR_VERSION 1
#define | XCB_XF86DRI_QUERY_VERSION 0
#define | XCB_XF86DRI_QUERY_DIRECT_RENDERING_CAPABLE 1
#define | XCB_XF86DRI_OPEN_CONNECTION 2
#define | XCB_XF86DRI_CLOSE_CONNECTION 3
#define | XCB_XF86DRI_GET_CLIENT_DRIVER_NAME 4
#define | XCB_XF86DRI_CREATE_CONTEXT 5
#define | XCB_XF86DRI_DESTROY_CONTEXT 6
#define | XCB_XF86DRI_CREATE_DRAWABLE 7
#define | XCB_XF86DRI_DESTROY_DRAWABLE 8
#define | XCB_XF86DRI_GET_DRAWABLE_INFO 9
#define | XCB_XF86DRI_GET_DEVICE_INFO 10
#define | XCB_XF86DRI_AUTH_CONNECTION 11

## Typedefs

typedef struct xcb_xf86dri_drm_clip_rect_t | xcb_xf86dri_drm_clip_rect_t
| xcb_xf86dri_drm_clip_rect_t
typedef struct xcb_xf86dri_drm_clip_rect_iterator_t | xcb_xf86dri_drm_clip_rect_iterator_t
| xcb_xf86dri_drm_clip_rect_iterator_t
typedef struct xcb_xf86dri_query_version_cookie_t | xcb_xf86dri_query_version_cookie_t
| xcb_xf86dri_query_version_cookie_t
typedef struct xcb_xf86dri_query_version_request_t | xcb_xf86dri_query_version_request_t
| xcb_xf86dri_query_version_request_t
typedef struct xcb_xf86dri_query_version_reply_t | xcb_xf86dri_query_version_reply_t
| xcb_xf86dri_query_version_reply_t
typedef struct xcb_xf86dri_query_direct_rendering_capable_cookie_t | xcb_xf86dri_query_direct_rendering_capable_cookie_t
| xcb_xf86dri_query_direct_rendering_capable_cookie_t
typedef struct xcb_xf86dri_query_direct_rendering_capable_request_t | xcb_xf86dri_query_direct_rendering_capable_request_t
| xcb_xf86dri_query_direct_rendering_capable_request_t
typedef struct xcb_xf86dri_query_direct_rendering_capable_reply_t | xcb_xf86dri_query_direct_rendering_capable_reply_t
| xcb_xf86dri_query_direct_rendering_capable_reply_t
typedef struct xcb_xf86dri_open_connection_cookie_t | xcb_xf86dri_open_connection_cookie_t
| xcb_xf86dri_open_connection_cookie_t
typedef struct xcb_xf86dri_open_connection_request_t | xcb_xf86dri_open_connection_request_t
| xcb_xf86dri_open_connection_request_t
typedef struct xcb_xf86dri_open_connection_reply_t | xcb_xf86dri_open_connection_reply_t
| xcb_xf86dri_open_connection_reply_t
typedef struct xcb_xf86dri_close_connection_request_t | xcb_xf86dri_close_connection_request_t
| xcb_xf86dri_close_connection_request_t
typedef struct xcb_xf86dri_get_client_driver_name_cookie_t | xcb_xf86dri_get_client_driver_name_cookie_t
| xcb_xf86dri_get_client_driver_name_cookie_t
typedef struct xcb_xf86dri_get_client_driver_name_request_t | xcb_xf86dri_get_client_driver_name_request_t
| xcb_xf86dri_get_client_driver_name_request_t
typedef struct xcb_xf86dri_get_client_driver_name_reply_t | xcb_xf86dri_get_client_driver_name_reply_t
| xcb_xf86dri_get_client_driver_name_reply_t
typedef struct xcb_xf86dri_create_context_cookie_t | xcb_xf86dri_create_context_cookie_t
| xcb_xf86dri_create_context_cookie_t
typedef struct xcb_xf86dri_create_context_request_t | xcb_xf86dri_create_context_request_t
| xcb_xf86dri_create_context_request_t
typedef struct xcb_xf86dri_create_context_reply_t | xcb_xf86dri_create_context_reply_t
| xcb_xf86dri_create_context_reply_t
typedef struct xcb_xf86dri_destroy_context_request_t | xcb_xf86dri_destroy_context_request_t
| xcb_xf86dri_destroy_context_request_t
typedef struct xcb_xf86dri_create_drawable_cookie_t | xcb_xf86dri_create_drawable_cookie_t
| xcb_xf86dri_create_drawable_cookie_t
typedef struct xcb_xf86dri_create_drawable_request_t | xcb_xf86dri_create_drawable_request_t
| xcb_xf86dri_create_drawable_request_t
typedef struct xcb_xf86dri_create_drawable_reply_t | xcb_xf86dri_create_drawable_reply_t
| xcb_xf86dri_create_drawable_reply_t
typedef struct xcb_xf86dri_destroy_drawable_request_t | xcb_xf86dri_destroy_drawable_request_t
| xcb_xf86dri_destroy_drawable_request_t
typedef struct xcb_xf86dri_get_drawable_info_cookie_t | xcb_xf86dri_get_drawable_info_cookie_t
| xcb_xf86dri_get_drawable_info_cookie_t
typedef struct xcb_xf86dri_get_drawable_info_request_t | xcb_xf86dri_get_drawable_info_request_t
| xcb_xf86dri_get_drawable_info_request_t
typedef struct xcb_xf86dri_get_drawable_info_reply_t | xcb_xf86dri_get_drawable_info_reply_t
| xcb_xf86dri_get_drawable_info_reply_t
typedef struct xcb_xf86dri_get_device_info_cookie_t | xcb_xf86dri_get_device_info_cookie_t
| xcb_xf86dri_get_device_info_cookie_t
typedef struct xcb_xf86dri_get_device_info_request_t | xcb_xf86dri_get_device_info_request_t
| xcb_xf86dri_get_device_info_request_t
typedef struct xcb_xf86dri_get_device_info_reply_t | xcb_xf86dri_get_device_info_reply_t
| xcb_xf86dri_get_device_info_reply_t
typedef struct xcb_xf86dri_auth_connection_cookie_t | xcb_xf86dri_auth_connection_cookie_t
| xcb_xf86dri_auth_connection_cookie_t
typedef struct xcb_xf86dri_auth_connection_request_t | xcb_xf86dri_auth_connection_request_t
| xcb_xf86dri_auth_connection_request_t
typedef struct xcb_xf86dri_auth_connection_reply_t | xcb_xf86dri_auth_connection_reply_t
| xcb_xf86dri_auth_connection_reply_t

## Functions

void | xcb_xf86dri_drm_clip_rect_next (xcb_xf86dri_drm_clip_rect_iterator_t *i)
xcb_generic_iterator_t | xcb_xf86dri_drm_clip_rect_end (xcb_xf86dri_drm_clip_rect_iterator_t i)
xcb_xf86dri_query_version_cookie_t | xcb_xf86dri_query_version (xcb_connection_t *c)
xcb_xf86dri_query_version_cookie_t | xcb_xf86dri_query_version_unchecked (xcb_connection_t *c)
xcb_xf86dri_query_version_reply_t * | xcb_xf86dri_query_version_reply (xcb_connection_t *c, xcb_xf86dri_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_xf86dri_query_direct_rendering_capable_cookie_t | xcb_xf86dri_query_direct_rendering_capable (xcb_connection_t *c, uint32_t screen)
xcb_xf86dri_query_direct_rendering_capable_cookie_t | xcb_xf86dri_query_direct_rendering_capable_unchecked (xcb_connection_t *c, uint32_t screen)
xcb_xf86dri_query_direct_rendering_capable_reply_t * | xcb_xf86dri_query_direct_rendering_capable_reply (xcb_connection_t *c, xcb_xf86dri_query_direct_rendering_capable_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xf86dri_open_connection_sizeof (const void *_buffer)
xcb_xf86dri_open_connection_cookie_t | xcb_xf86dri_open_connection (xcb_connection_t *c, uint32_t screen)
xcb_xf86dri_open_connection_cookie_t | xcb_xf86dri_open_connection_unchecked (xcb_connection_t *c, uint32_t screen)
char * | xcb_xf86dri_open_connection_bus_id (const xcb_xf86dri_open_connection_reply_t *R)
int | xcb_xf86dri_open_connection_bus_id_length (const xcb_xf86dri_open_connection_reply_t *R)
xcb_generic_iterator_t | xcb_xf86dri_open_connection_bus_id_end (const xcb_xf86dri_open_connection_reply_t *R)
xcb_xf86dri_open_connection_reply_t * | xcb_xf86dri_open_connection_reply (xcb_connection_t *c, xcb_xf86dri_open_connection_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xf86dri_close_connection_checked (xcb_connection_t *c, uint32_t screen)
xcb_void_cookie_t | xcb_xf86dri_close_connection (xcb_connection_t *c, uint32_t screen)
int | xcb_xf86dri_get_client_driver_name_sizeof (const void *_buffer)
xcb_xf86dri_get_client_driver_name_cookie_t | xcb_xf86dri_get_client_driver_name (xcb_connection_t *c, uint32_t screen)
xcb_xf86dri_get_client_driver_name_cookie_t | xcb_xf86dri_get_client_driver_name_unchecked (xcb_connection_t *c, uint32_t screen)
char * | xcb_xf86dri_get_client_driver_name_client_driver_name (const xcb_xf86dri_get_client_driver_name_reply_t *R)
int | xcb_xf86dri_get_client_driver_name_client_driver_name_length (const xcb_xf86dri_get_client_driver_name_reply_t *R)
xcb_generic_iterator_t | xcb_xf86dri_get_client_driver_name_client_driver_name_end (const xcb_xf86dri_get_client_driver_name_reply_t *R)
xcb_xf86dri_get_client_driver_name_reply_t * | xcb_xf86dri_get_client_driver_name_reply (xcb_connection_t *c, xcb_xf86dri_get_client_driver_name_cookie_t cookie, xcb_generic_error_t **e)
xcb_xf86dri_create_context_cookie_t | xcb_xf86dri_create_context (xcb_connection_t *c, uint32_t screen, uint32_t visual, uint32_t context)
xcb_xf86dri_create_context_cookie_t | xcb_xf86dri_create_context_unchecked (xcb_connection_t *c, uint32_t screen, uint32_t visual, uint32_t context)
xcb_xf86dri_create_context_reply_t * | xcb_xf86dri_create_context_reply (xcb_connection_t *c, xcb_xf86dri_create_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xf86dri_destroy_context_checked (xcb_connection_t *c, uint32_t screen, uint32_t context)
xcb_void_cookie_t | xcb_xf86dri_destroy_context (xcb_connection_t *c, uint32_t screen, uint32_t context)
xcb_xf86dri_create_drawable_cookie_t | xcb_xf86dri_create_drawable (xcb_connection_t *c, uint32_t screen, uint32_t drawable)
xcb_xf86dri_create_drawable_cookie_t | xcb_xf86dri_create_drawable_unchecked (xcb_connection_t *c, uint32_t screen, uint32_t drawable)
xcb_xf86dri_create_drawable_reply_t * | xcb_xf86dri_create_drawable_reply (xcb_connection_t *c, xcb_xf86dri_create_drawable_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xf86dri_destroy_drawable_checked (xcb_connection_t *c, uint32_t screen, uint32_t drawable)
xcb_void_cookie_t | xcb_xf86dri_destroy_drawable (xcb_connection_t *c, uint32_t screen, uint32_t drawable)
int | xcb_xf86dri_get_drawable_info_sizeof (const void *_buffer)
xcb_xf86dri_get_drawable_info_cookie_t | xcb_xf86dri_get_drawable_info (xcb_connection_t *c, uint32_t screen, uint32_t drawable)
xcb_xf86dri_get_drawable_info_cookie_t | xcb_xf86dri_get_drawable_info_unchecked (xcb_connection_t *c, uint32_t screen, uint32_t drawable)
xcb_xf86dri_drm_clip_rect_t * | xcb_xf86dri_get_drawable_info_clip_rects (const xcb_xf86dri_get_drawable_info_reply_t *R)
int | xcb_xf86dri_get_drawable_info_clip_rects_length (const xcb_xf86dri_get_drawable_info_reply_t *R)
xcb_xf86dri_drm_clip_rect_iterator_t | xcb_xf86dri_get_drawable_info_clip_rects_iterator (const xcb_xf86dri_get_drawable_info_reply_t *R)
xcb_xf86dri_drm_clip_rect_t * | xcb_xf86dri_get_drawable_info_back_clip_rects (const xcb_xf86dri_get_drawable_info_reply_t *R)
int | xcb_xf86dri_get_drawable_info_back_clip_rects_length (const xcb_xf86dri_get_drawable_info_reply_t *R)
xcb_xf86dri_drm_clip_rect_iterator_t | xcb_xf86dri_get_drawable_info_back_clip_rects_iterator (const xcb_xf86dri_get_drawable_info_reply_t *R)
xcb_xf86dri_get_drawable_info_reply_t * | xcb_xf86dri_get_drawable_info_reply (xcb_connection_t *c, xcb_xf86dri_get_drawable_info_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xf86dri_get_device_info_sizeof (const void *_buffer)
xcb_xf86dri_get_device_info_cookie_t | xcb_xf86dri_get_device_info (xcb_connection_t *c, uint32_t screen)
xcb_xf86dri_get_device_info_cookie_t | xcb_xf86dri_get_device_info_unchecked (xcb_connection_t *c, uint32_t screen)
uint32_t * | xcb_xf86dri_get_device_info_device_private (const xcb_xf86dri_get_device_info_reply_t *R)
int | xcb_xf86dri_get_device_info_device_private_length (const xcb_xf86dri_get_device_info_reply_t *R)
xcb_generic_iterator_t | xcb_xf86dri_get_device_info_device_private_end (const xcb_xf86dri_get_device_info_reply_t *R)
xcb_xf86dri_get_device_info_reply_t * | xcb_xf86dri_get_device_info_reply (xcb_connection_t *c, xcb_xf86dri_get_device_info_cookie_t cookie, xcb_generic_error_t **e)
xcb_xf86dri_auth_connection_cookie_t | xcb_xf86dri_auth_connection (xcb_connection_t *c, uint32_t screen, uint32_t magic)
xcb_xf86dri_auth_connection_cookie_t | xcb_xf86dri_auth_connection_unchecked (xcb_connection_t *c, uint32_t screen, uint32_t magic)
xcb_xf86dri_auth_connection_reply_t * | xcb_xf86dri_auth_connection_reply (xcb_connection_t *c, xcb_xf86dri_auth_connection_cookie_t cookie, xcb_generic_error_t **e)

## Variables

xcb_extension_t | xcb_xf86dri_id

## Detailed Description

XF86Dri XCB Protocol Implementation.

## Macro Definition Documentation

## XCB_XF86DRI_AUTH_CONNECTION

#define XCB_XF86DRI_AUTH_CONNECTION 11

Opcode for xcb_xf86dri_auth_connection.

Referenced by xcb_xf86dri_auth_connection(), and xcb_xf86dri_auth_connection_unchecked().

## XCB_XF86DRI_CLOSE_CONNECTION

#define XCB_XF86DRI_CLOSE_CONNECTION 3

Opcode for xcb_xf86dri_close_connection.

Referenced by xcb_xf86dri_close_connection(), and xcb_xf86dri_close_connection_checked().

## XCB_XF86DRI_CREATE_CONTEXT

#define XCB_XF86DRI_CREATE_CONTEXT 5

Opcode for xcb_xf86dri_create_context.

Referenced by xcb_xf86dri_create_context(), and xcb_xf86dri_create_context_unchecked().

## XCB_XF86DRI_CREATE_DRAWABLE

#define XCB_XF86DRI_CREATE_DRAWABLE 7

Opcode for xcb_xf86dri_create_drawable.

Referenced by xcb_xf86dri_create_drawable(), and xcb_xf86dri_create_drawable_unchecked().

## XCB_XF86DRI_DESTROY_CONTEXT

#define XCB_XF86DRI_DESTROY_CONTEXT 6

Opcode for xcb_xf86dri_destroy_context.

Referenced by xcb_xf86dri_destroy_context(), and xcb_xf86dri_destroy_context_checked().

## XCB_XF86DRI_DESTROY_DRAWABLE

#define XCB_XF86DRI_DESTROY_DRAWABLE 8

Opcode for xcb_xf86dri_destroy_drawable.

Referenced by xcb_xf86dri_destroy_drawable(), and xcb_xf86dri_destroy_drawable_checked().

## XCB_XF86DRI_GET_CLIENT_DRIVER_NAME

#define XCB_XF86DRI_GET_CLIENT_DRIVER_NAME 4

Opcode for xcb_xf86dri_get_client_driver_name.

Referenced by xcb_xf86dri_get_client_driver_name(), and xcb_xf86dri_get_client_driver_name_unchecked().

## XCB_XF86DRI_GET_DEVICE_INFO

#define XCB_XF86DRI_GET_DEVICE_INFO 10

Opcode for xcb_xf86dri_get_device_info.

Referenced by xcb_xf86dri_get_device_info(), and xcb_xf86dri_get_device_info_unchecked().

## XCB_XF86DRI_GET_DRAWABLE_INFO

#define XCB_XF86DRI_GET_DRAWABLE_INFO 9

Opcode for xcb_xf86dri_get_drawable_info.

Referenced by xcb_xf86dri_get_drawable_info(), and xcb_xf86dri_get_drawable_info_unchecked().

## XCB_XF86DRI_OPEN_CONNECTION

#define XCB_XF86DRI_OPEN_CONNECTION 2

Opcode for xcb_xf86dri_open_connection.

Referenced by xcb_xf86dri_open_connection(), and xcb_xf86dri_open_connection_unchecked().

## XCB_XF86DRI_QUERY_DIRECT_RENDERING_CAPABLE

#define XCB_XF86DRI_QUERY_DIRECT_RENDERING_CAPABLE 1

Opcode for xcb_xf86dri_query_direct_rendering_capable.

Referenced by xcb_xf86dri_query_direct_rendering_capable(), and xcb_xf86dri_query_direct_rendering_capable_unchecked().

## XCB_XF86DRI_QUERY_VERSION

#define XCB_XF86DRI_QUERY_VERSION 0

Opcode for xcb_xf86dri_query_version.

Referenced by xcb_xf86dri_query_version(), and xcb_xf86dri_query_version_unchecked().

## Function Documentation

## xcb_xf86dri_auth_connection()

xcb_xf86dri_auth_connection_cookie_t xcb_xf86dri_auth_connection | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | magic )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_AUTH_CONNECTION.

## xcb_xf86dri_auth_connection_reply()

xcb_xf86dri_auth_connection_reply_t * xcb_xf86dri_auth_connection_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_auth_connection_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_auth_connection_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_auth_connection_unchecked()

xcb_xf86dri_auth_connection_cookie_t xcb_xf86dri_auth_connection_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | magic )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_AUTH_CONNECTION.

## xcb_xf86dri_close_connection()

xcb_void_cookie_t xcb_xf86dri_close_connection | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_CLOSE_CONNECTION.

## xcb_xf86dri_close_connection_checked()

xcb_void_cookie_t xcb_xf86dri_close_connection_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XF86DRI_CLOSE_CONNECTION.

## xcb_xf86dri_create_context()

xcb_xf86dri_create_context_cookie_t xcb_xf86dri_create_context | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | visual,
|  | uint32_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_CREATE_CONTEXT.

## xcb_xf86dri_create_context_reply()

xcb_xf86dri_create_context_reply_t * xcb_xf86dri_create_context_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_create_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_create_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_create_context_unchecked()

xcb_xf86dri_create_context_cookie_t xcb_xf86dri_create_context_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | visual,
|  | uint32_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_CREATE_CONTEXT.

## xcb_xf86dri_create_drawable()

xcb_xf86dri_create_drawable_cookie_t xcb_xf86dri_create_drawable | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_CREATE_DRAWABLE.

## xcb_xf86dri_create_drawable_reply()

xcb_xf86dri_create_drawable_reply_t * xcb_xf86dri_create_drawable_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_create_drawable_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_create_drawable_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_create_drawable_unchecked()

xcb_xf86dri_create_drawable_cookie_t xcb_xf86dri_create_drawable_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_CREATE_DRAWABLE.

## xcb_xf86dri_destroy_context()

xcb_void_cookie_t xcb_xf86dri_destroy_context | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_DESTROY_CONTEXT.

## xcb_xf86dri_destroy_context_checked()

xcb_void_cookie_t xcb_xf86dri_destroy_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XF86DRI_DESTROY_CONTEXT.

## xcb_xf86dri_destroy_drawable()

xcb_void_cookie_t xcb_xf86dri_destroy_drawable | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_DESTROY_DRAWABLE.

## xcb_xf86dri_destroy_drawable_checked()

xcb_void_cookie_t xcb_xf86dri_destroy_drawable_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XF86DRI_DESTROY_DRAWABLE.

## xcb_xf86dri_drm_clip_rect_end()

xcb_generic_iterator_t xcb_xf86dri_drm_clip_rect_end | ( | xcb_xf86dri_drm_clip_rect_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xf86dri_drm_clip_rect_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_xf86dri_drm_clip_rect_next()

void xcb_xf86dri_drm_clip_rect_next | ( | xcb_xf86dri_drm_clip_rect_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xf86dri_drm_clip_rect_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xf86dri_drm_clip_rect_t)

## xcb_xf86dri_get_client_driver_name()

xcb_xf86dri_get_client_driver_name_cookie_t xcb_xf86dri_get_client_driver_name | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_GET_CLIENT_DRIVER_NAME.

## xcb_xf86dri_get_client_driver_name_reply()

xcb_xf86dri_get_client_driver_name_reply_t * xcb_xf86dri_get_client_driver_name_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_get_client_driver_name_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_get_client_driver_name_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_get_client_driver_name_unchecked()

xcb_xf86dri_get_client_driver_name_cookie_t xcb_xf86dri_get_client_driver_name_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_GET_CLIENT_DRIVER_NAME.

## xcb_xf86dri_get_device_info()

xcb_xf86dri_get_device_info_cookie_t xcb_xf86dri_get_device_info | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_GET_DEVICE_INFO.

## xcb_xf86dri_get_device_info_reply()

xcb_xf86dri_get_device_info_reply_t * xcb_xf86dri_get_device_info_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_get_device_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_get_device_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_get_device_info_unchecked()

xcb_xf86dri_get_device_info_cookie_t xcb_xf86dri_get_device_info_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_GET_DEVICE_INFO.

## xcb_xf86dri_get_drawable_info()

xcb_xf86dri_get_drawable_info_cookie_t xcb_xf86dri_get_drawable_info | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_GET_DRAWABLE_INFO.

## xcb_xf86dri_get_drawable_info_reply()

xcb_xf86dri_get_drawable_info_reply_t * xcb_xf86dri_get_drawable_info_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_get_drawable_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_get_drawable_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_get_drawable_info_unchecked()

xcb_xf86dri_get_drawable_info_cookie_t xcb_xf86dri_get_drawable_info_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_GET_DRAWABLE_INFO.

## xcb_xf86dri_open_connection()

xcb_xf86dri_open_connection_cookie_t xcb_xf86dri_open_connection | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_OPEN_CONNECTION.

## xcb_xf86dri_open_connection_reply()

xcb_xf86dri_open_connection_reply_t * xcb_xf86dri_open_connection_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_open_connection_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_open_connection_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_open_connection_unchecked()

xcb_xf86dri_open_connection_cookie_t xcb_xf86dri_open_connection_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_OPEN_CONNECTION.

## xcb_xf86dri_query_direct_rendering_capable()

xcb_xf86dri_query_direct_rendering_capable_cookie_t xcb_xf86dri_query_direct_rendering_capable | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_QUERY_DIRECT_RENDERING_CAPABLE.

## xcb_xf86dri_query_direct_rendering_capable_reply()

xcb_xf86dri_query_direct_rendering_capable_reply_t * xcb_xf86dri_query_direct_rendering_capable_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_query_direct_rendering_capable_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_query_direct_rendering_capable_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_query_direct_rendering_capable_unchecked()

xcb_xf86dri_query_direct_rendering_capable_cookie_t xcb_xf86dri_query_direct_rendering_capable_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_QUERY_DIRECT_RENDERING_CAPABLE.

## xcb_xf86dri_query_version()

xcb_xf86dri_query_version_cookie_t xcb_xf86dri_query_version | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XF86DRI_QUERY_VERSION.

## xcb_xf86dri_query_version_reply()

xcb_xf86dri_query_version_reply_t * xcb_xf86dri_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_xf86dri_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xf86dri_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xf86dri_query_version_unchecked()

xcb_xf86dri_query_version_cookie_t xcb_xf86dri_query_version_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XF86DRI_QUERY_VERSION.